Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::set_difference_fn Struct Reference
Inheritance diagram for ranges::views::set_difference_fn:

## Synopsis of methods
constexpr set_difference_fn | set_difference {}

## Public Member Functions
template<typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>
constexpr auto | operator() (Rng2 &&rng2, C &&pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const
Public Member Functions inherited from ranges::views::set_difference_base_fn
template<typename Rng1 , typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>
set_difference_view< all_t< Rng1 >, all_t< Rng2 >, C, P1, P2 > | operator() (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>

constexpr auto ranges::views::set_difference_fn::operator() | ( | Rng2 && | rng2,
|  | C && | pred = `C{}`,
|  | P1 | proj1 = `P1{}`,
|  | P2 | proj2 = `P2{}`
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng2> && input_range<Rng2> && (!range<C>)`